"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderbook = void 0;
const __1 = require("..");
const orderbook = async () => {
    try {
        const econobit = new __1.Econobit({ testnet: true });
        await econobit.connect();
        const { orderbook, onUpdate } = await econobit.subscribe.orderbook('BTC-BRL');
        console.log(orderbook);
        onUpdate(update => {
            console.log('orderbook update:', update);
            const { side, price, amount } = update;
            if (amount > 0) {
                orderbook[side][price] = amount;
                orderbook[side] = Object.entries(orderbook[side])
                    .sort((a, b) => side === 'asks' ? +a[0] - +b[0] : +b[0] - +a[0])
                    .reduce((r, o) => { r[o[0]] = o[1]; return r; }, {});
            }
            else {
                delete orderbook[side][price];
            }
            console.log('updated orderbook:', orderbook);
        });
    }
    catch (err) {
        console.error('ERROR:', err);
    }
};
exports.orderbook = orderbook;
exports.orderbook();
//# sourceMappingURL=orderbook.js.map