import { IApiCreate, IApiKey, IApiLogin } from '../models';
export declare enum ApiKeyActionTypes {
    Login = "ApiKey.Login",
    Logout = "ApiKey.Logout",
    Success = "ApiKey.Success",
    Fail = "ApiKey.Fail",
    Insert = "ApiKey.Insert",
    Delete = "ApiKey.Delete",
    GetList = "ApiKey.GetList",
    Sign = "ApiKey.Sign",
    Load = "ApiKey.Load",
    Add = "ApiKey.Add",
    Remove = "ApiKey.Remove",
    Update = "ApiKey.Update"
}
export interface IApiKeyLoad {
    type: ApiKeyActionTypes.Load;
    apiKeys: IApiKey[];
}
export interface IApiKeyAdd {
    type: ApiKeyActionTypes.Add;
    create: IApiKey;
}
export interface IApiKeyRemove {
    type: ApiKeyActionTypes.Remove;
    key: string;
}
export interface IApiKeyUpdate {
    type: ApiKeyActionTypes.Update;
    update: Partial<IApiKey>;
}
export interface IApiKeyLogin {
    type: ApiKeyActionTypes.Login;
    apiLogin: IApiLogin;
}
export interface IApiKeyLogout {
    type: ApiKeyActionTypes.Logout;
}
export interface IApiKeyInsert {
    type: ApiKeyActionTypes.Insert;
    create: IApiCreate;
}
export interface IApiKeyDelete {
    type: ApiKeyActionTypes.Delete;
    apiKeyId: string;
}
export interface IApiKeyGetList {
    type: ApiKeyActionTypes.GetList;
}
export interface IApiKeySuccess {
    type: ApiKeyActionTypes.Success;
}
export interface IApiKeyFail {
    type: ApiKeyActionTypes.Fail;
}
export declare class ApiKeyActionCreators {
    static load: (apiKeys: IApiKey[]) => IApiKeyLoad;
    static add: (create: IApiKey) => IApiKeyAdd;
    static remove: (key: string) => IApiKeyRemove;
    static update: (update: Partial<IApiKey>) => IApiKeyUpdate;
    static login: (apiLogin: IApiLogin) => IApiKeyLogin;
    static logout: () => IApiKeyLogout;
    static insert: (create: IApiCreate) => IApiKeyInsert;
    static delete: (apiKeyId: string) => IApiKeyDelete;
    static getList: () => IApiKeyGetList;
    static success: () => IApiKeySuccess;
    static fail: () => IApiKeyFail;
}
export declare type IApiKeyAction = IApiKeyLoad | IApiKeyAdd | IApiKeyRemove | IApiKeyUpdate | IApiKeyLogin | IApiKeyLogout | IApiKeyInsert | IApiKeyDelete | IApiKeyGetList | IApiKeySuccess | IApiKeyFail;
//# sourceMappingURL=apikey.d.ts.map