import { IBankAccount, IBankAccounts } from '../models';
export declare enum BankAccountActionTypes {
    GetList = "BankAccount.GetList",
    Insert = "BankAccount.Insert",
    Delete = "BankAccount.Delete",
    List = "BankAccount.List"
}
export interface IBankAccountGetList {
    type: BankAccountActionTypes.GetList;
}
export interface IBankAccountInsert {
    type: BankAccountActionTypes.Insert;
    bankAccount: IBankAccount;
}
export interface IBankAccountDelete {
    type: BankAccountActionTypes.Delete;
    bankAccountId: number;
}
export interface IBankAccountList {
    type: BankAccountActionTypes.List;
    bankAccounts: IBankAccounts;
}
export declare class BankAccountActionCreators {
    static list: (bankAccounts: IBankAccounts) => IBankAccountList;
    static getList: () => IBankAccountGetList;
    static insert: (bankAccount: IBankAccount) => IBankAccountInsert;
    static delete: (bankAccountId: number) => IBankAccountDelete;
}
export declare type IBankAccountAction = IBankAccountList | IBankAccountGetList | IBankAccountInsert | IBankAccountDelete;
//# sourceMappingURL=bankAccount.d.ts.map