import { ICandlestick, ICandlesticks } from '../models';
export declare enum CandlestickActionTypes {
    List = "Candlestick.List",
    Update = "Candlestick.Update",
    Period = "Candlestick.Period"
}
export interface ICandlestickList {
    type: CandlestickActionTypes.List;
    candlesticks: ICandlesticks;
}
export interface ICandlestickUpdate {
    type: CandlestickActionTypes.Update;
    market: string;
    candlestick: ICandlestick;
}
export interface ICandlestickPeriod {
    type: CandlestickActionTypes.Period;
    period: string;
}
export declare class CandlestickActionCreators {
    static list: (candlesticks: ICandlesticks) => ICandlestickList;
    static update: (candlestick: ICandlestick, market: string) => ICandlestickUpdate;
    static period: (period: string) => ICandlestickPeriod;
}
export declare type ICandlestickAction = ICandlestickList | ICandlestickUpdate | ICandlestickPeriod;
//# sourceMappingURL=candlestick.d.ts.map