import { IDeposit, IDeposits } from '../models';
export declare enum DepositActionTypes {
    GetList = "Deposit.GetList",
    Insert = "Deposit.Insert",
    GetImg = "Deposit.GetImg",
    List = "Deposit.List",
    Add = "Deposit.Add",
    Update = "Deposit.Update"
}
export interface IDepositList {
    type: DepositActionTypes.List;
    deposits: IDeposits;
}
export interface IDepositAdd {
    type: DepositActionTypes.Add;
    deposit: IDeposit;
}
export interface IDepositUpdate {
    type: DepositActionTypes.Update;
    deposit: IDeposit;
}
export interface IDepositGetList {
    type: DepositActionTypes.GetList;
}
export interface IDepositInsert {
    type: DepositActionTypes.Insert;
    deposit: IDeposit;
}
export interface IDepositGetImg {
    type: DepositActionTypes.GetImg;
    depositId: number;
}
export declare class DepositActionCreators {
    static list: (deposits: IDeposits) => IDepositList;
    static add: (deposit: IDeposit) => IDepositAdd;
    static update: (deposit: IDeposit) => IDepositUpdate;
    static getList: () => IDepositGetList;
    static insert: (deposit: IDeposit) => IDepositInsert;
    static getImg: (depositId: number) => IDepositGetImg;
}
export declare type IDepositAction = IDepositGetList | IDepositInsert | IDepositGetImg | IDepositList | IDepositAdd | IDepositUpdate;
//# sourceMappingURL=deposit.d.ts.map