import { ApiKeyActionCreators, ApiKeyActionTypes, IApiKeyAction } from './apikey';
import { BankActionCreators, BankActionTypes, IBankAction } from './bank';
import { BankAccountActionCreators, BankAccountActionTypes, IBankAccountAction } from './bankAccount';
import { BulkOrdersActionCreators, BulkOrdersActionTypes, IBulkOrdersAction } from './bulkOrders';
import { CandlestickActionCreators, CandlestickActionTypes, ICandlestickAction } from './candlestick';
import { ConnectionActionCreators, ConnectionActionTypes, IConnectionAction } from './connection';
import { CurrencyActionCreators, CurrencyActionTypes, ICurrencyAction } from './currency';
import { DepositActionCreators, DepositActionTypes, IDepositAction } from './deposit';
import { IKycAction, KycActionCreators, KycActionTypes } from './kyc';
import { ILastTradesAction, LastTradesActionCreators, LastTradesActionTypes } from './lastTrades';
import { ILoginHistoryAction, LoginHistoryActionCreators, LoginHistoryActionTypes } from './loginHistory';
import { IMarketAction, MarketActionCreators, MarketActionTypes } from './market';
import { IMessageAction, MessageActionCreators, MessageActionTypes } from './message';
import { IOpenOrdersAction, OpenOrdersActionCreators, OpenOrdersActionTypes } from './openOrders';
import { IOrderAction, OrderActionCreators, OrderActionTypes } from './order';
import { IOrderbookAction, OrderbookActionCreators, OrderbookActionTypes } from './orderbook';
import { IOrdersHistoryAction, OrdersHistoryActionCreators, OrdersHistoryActionTypes } from './ordersHistory';
import { ISecurityAction, SecurityActionCreators, SecurityActionTypes } from './security';
import { ISubscribeAction, SubscribeActionCreators, SubscribeActionTypes } from './subscribe';
import { ITickerAction, TickerActionCreators, TickerActionTypes } from './ticker';
import { ITradesAction, TradesActionCreators, TradesActionTypes } from './trades';
import { IUnsubscribeAction, UnsubscribeActionCreators, UnsubscribeActionTypes } from './unsubscribe';
import { IUserAction, UserActionCreators, UserActionTypes } from './user';
import { IWalletAction, WalletActionCreators, WalletActionTypes } from './wallet';
import { IWithdrawAction, WithdrawActionCreators, WithdrawActionTypes } from './withdraw';
import { WSActionTypes } from './ws';
export * from './apikey';
export * from './bank';
export * from './bankAccount';
export * from './bulkOrders';
export * from './candlestick';
export * from './connection';
export * from './currency';
export * from './deposit';
export * from './kyc';
export * from './lastTrades';
export * from './loginHistory';
export * from './market';
export * from './message';
export * from './openOrders';
export * from './order';
export * from './orderbook';
export * from './ordersHistory';
export * from './security';
export * from './subscribe';
export * from './ticker';
export * from './trades';
export * from './unsubscribe';
export * from './user';
export * from './wallet';
export * from './withdraw';
export * from './ws';
export declare class ActionTypes {
    static ApiKey: typeof ApiKeyActionTypes;
    static Bank: typeof BankActionTypes;
    static BankAccount: typeof BankAccountActionTypes;
    static BulkOrders: typeof BulkOrdersActionTypes;
    static Candlestick: typeof CandlestickActionTypes;
    static Connection: typeof ConnectionActionTypes;
    static Currency: typeof CurrencyActionTypes;
    static Deposit: typeof DepositActionTypes;
    static Kyc: typeof KycActionTypes;
    static LastTrades: typeof LastTradesActionTypes;
    static LoginHistory: typeof LoginHistoryActionTypes;
    static Market: typeof MarketActionTypes;
    static Message: typeof MessageActionTypes;
    static OpenOrders: typeof OpenOrdersActionTypes;
    static Order: typeof OrderActionTypes;
    static Orderbook: typeof OrderbookActionTypes;
    static OrdersHistory: typeof OrdersHistoryActionTypes;
    static Security: typeof SecurityActionTypes;
    static Subscribe: typeof SubscribeActionTypes;
    static Ticker: typeof TickerActionTypes;
    static Trades: typeof TradesActionTypes;
    static Unsubscribe: typeof UnsubscribeActionTypes;
    static User: typeof UserActionTypes;
    static Wallet: typeof WalletActionTypes;
    static Withdraw: typeof WithdrawActionTypes;
    static WS: typeof WSActionTypes;
}
export declare class ActionCreators {
    static ApiKey: typeof ApiKeyActionCreators;
    static Bank: typeof BankActionCreators;
    static BankAccount: typeof BankAccountActionCreators;
    static BulkOrders: typeof BulkOrdersActionCreators;
    static Candlestick: typeof CandlestickActionCreators;
    static Connection: typeof ConnectionActionCreators;
    static Currency: typeof CurrencyActionCreators;
    static Deposit: typeof DepositActionCreators;
    static Kyc: typeof KycActionCreators;
    static LastTrades: typeof LastTradesActionCreators;
    static LoginHistory: typeof LoginHistoryActionCreators;
    static Market: typeof MarketActionCreators;
    static Message: typeof MessageActionCreators;
    static OpenOrders: typeof OpenOrdersActionCreators;
    static Order: typeof OrderActionCreators;
    static Orderbook: typeof OrderbookActionCreators;
    static OrdersHistory: typeof OrdersHistoryActionCreators;
    static Security: typeof SecurityActionCreators;
    static Subscribe: typeof SubscribeActionCreators;
    static Ticker: typeof TickerActionCreators;
    static Trades: typeof TradesActionCreators;
    static Unsubscribe: typeof UnsubscribeActionCreators;
    static User: typeof UserActionCreators;
    static Wallet: typeof WalletActionCreators;
    static Withdraw: typeof WithdrawActionCreators;
}
export declare type IAction = IApiKeyAction | IBankAction | IBankAccountAction | IBulkOrdersAction | ICandlestickAction | IConnectionAction | ICurrencyAction | IDepositAction | IKycAction | ILastTradesAction | ILoginHistoryAction | IMarketAction | IMessageAction | IOpenOrdersAction | IOrderAction | IOrderbookAction | IOrdersHistoryAction | ISecurityAction | ISubscribeAction | ITickerAction | ITradesAction | IUnsubscribeAction | IUserAction | IWalletAction | IWithdrawAction;
//# sourceMappingURL=index.d.ts.map