export declare enum MessageActionTypes {
    Errors = "Message.Errors",
    Success = "Message.Success",
    Info = "Message.Info",
    Warn = "Message.Warn",
    Redirect = "Message.Redirect"
}
export interface IMessageErrorsAction {
    type: MessageActionTypes.Errors;
    errors: string[];
    params?: any;
}
export interface IMessageSuccessAction {
    type: MessageActionTypes.Success;
    message: string;
    sound?: string;
    params?: any;
}
export interface IMessageInfoAction {
    type: MessageActionTypes.Info;
    message: string;
    params?: any;
}
export interface IMessageWarnAction {
    type: MessageActionTypes.Warn;
    message: string;
    params?: any;
}
export interface IMessageRedirectAction {
    type: MessageActionTypes.Redirect;
    path: string;
}
export declare class MessageActionCreators {
    static error: (errors: string[], params?: any) => IMessageErrorsAction;
    static success: (message: string, params?: any, sound?: string | undefined) => IMessageSuccessAction;
    static info: (message: string, params?: any) => IMessageInfoAction;
    static warn: (message: string, params?: any) => IMessageWarnAction;
    static redirect: (path: string) => IMessageRedirectAction;
}
export declare type IMessageAction = IMessageErrorsAction | IMessageSuccessAction | IMessageInfoAction | IMessageWarnAction | IMessageRedirectAction;
//# sourceMappingURL=message.d.ts.map