import { IOrder } from '../models';
export declare enum OpenOrdersActionTypes {
    Load = "OpenOrders.Load",
    Add = "OpenOrders.Add",
    Update = "OpenOrders.Update",
    Delete = "OpenOrders.Delete"
}
export interface IOpenOrdersLoad {
    type: OpenOrdersActionTypes.Load;
    list: IOrder[];
}
export interface IOpenOrdersAdd {
    type: OpenOrdersActionTypes.Add;
    order: IOrder;
}
export interface IOpenOrdersUpdate {
    type: OpenOrdersActionTypes.Update;
    order: IOrder;
}
export interface IOpenOrdersDelete {
    type: OpenOrdersActionTypes.Delete;
    orderId: number;
}
export declare class OpenOrdersActionCreators {
    static load: (list: IOrder[]) => IOpenOrdersLoad;
    static add: (order: IOrder) => IOpenOrdersAdd;
    static update: (order: IOrder) => IOpenOrdersUpdate;
    static delete: (orderId: number) => IOpenOrdersDelete;
}
export declare type IOpenOrdersAction = IOpenOrdersLoad | IOpenOrdersAdd | IOpenOrdersUpdate | IOpenOrdersDelete;
//# sourceMappingURL=openOrders.d.ts.map