import { IOrder } from '../models';
export declare enum OrderActionTypes {
    Change = "Order.Change",
    Insert = "Order.Insert",
    Delete = "Order.Delete",
    GetInOrdersBalance = "Order.GetInOrdersBalance"
}
export interface IOrderChange {
    type: OrderActionTypes.Change;
    order: Partial<IOrder>;
}
export interface IOrderInsert {
    type: OrderActionTypes.Insert;
    order: IOrder;
}
export interface IOrderDelete {
    type: OrderActionTypes.Delete;
    order: IOrder;
}
export interface IOrderGetInOrdersBalance {
    type: OrderActionTypes.GetInOrdersBalance;
}
export declare class OrderActionCreators {
    static change: (order: Partial<IOrder>) => IOrderChange;
    static insert: (order: IOrder) => IOrderInsert;
    static delete: (order: IOrder) => IOrderDelete;
    static getInOrdersBalance: () => IOrderGetInOrdersBalance;
}
export declare type IOrderAction = IOrderChange | IOrderInsert | IOrderDelete | IOrderGetInOrdersBalance;
//# sourceMappingURL=order.d.ts.map