import { IOrder, IOrderbook } from '../models';
export declare enum OrderbookActionTypes {
    Load = "Orderbook.Load",
    Add = "Orderbook.Add",
    Update = "Orderbook.Update",
    Delete = "Orderbook.Delete"
}
export interface IOrderbookLoad {
    type: OrderbookActionTypes.Load;
    orderbook: IOrderbook;
    symbol: string;
    priceDecimals: number;
    amountDecimals: number;
}
export interface IOrderbookAdd {
    type: OrderbookActionTypes.Add;
    order: IOrder;
}
export interface IOrderbookUpdate {
    type: OrderbookActionTypes.Update;
    order: IOrder;
}
export interface IOrderbookDelete {
    type: OrderbookActionTypes.Delete;
    order: Partial<IOrder>;
}
export declare class OrderbookActionCreators {
    static load: (orderbook: IOrderbook, symbol: string, priceDecimals: number, amountDecimals: number) => IOrderbookLoad;
    static add: (order: IOrder) => IOrderbookAdd;
    static update: (order: IOrder) => IOrderbookUpdate;
    static delete: (order: Partial<IOrder>) => IOrderbookDelete;
}
export declare type IOrderbookAction = IOrderbookLoad | IOrderbookAdd | IOrderbookUpdate | IOrderbookDelete;
//# sourceMappingURL=orderbook.d.ts.map