import { IChangePassword } from '../models';
export declare enum SecurityActionTypes {
    ChangePassword = "Security.ChangePassword",
    AuthEnable = "Security.AuthEnable",
    AuthDisable = "Security.AuthDisable",
    GetLoginHistory = "Security.GetLoginHistory"
}
export interface ISecurityChangePassword {
    type: SecurityActionTypes.ChangePassword;
    changePassword: IChangePassword;
}
export interface ISecurityAuthEnable {
    type: SecurityActionTypes.AuthEnable;
    token: string;
    secret: string;
}
export interface ISecurityAuthDisable {
    type: SecurityActionTypes.AuthDisable;
    token: string;
}
export interface ISecurityGetLoginHistory {
    type: SecurityActionTypes.GetLoginHistory;
    lastId: number;
}
export declare class SecurityActionCreators {
    static changePassword: (changePassword: IChangePassword) => ISecurityChangePassword;
    static authEnable: (token: string, secret: string) => ISecurityAuthEnable;
    static authDisable: (token: string) => ISecurityAuthDisable;
    static getLoginHistory: (lastId: number) => ISecurityGetLoginHistory;
}
export declare type ISecurityAction = ISecurityChangePassword | ISecurityAuthEnable | ISecurityAuthDisable | ISecurityGetLoginHistory;
//# sourceMappingURL=security.d.ts.map