export declare enum SubscribeActionTypes {
    Orderbook = "Subscribe.Orderbook",
    Tickers = "Subscribe.Tickers",
    Currencies = "Subscribe.Currencies",
    LastTrades = "Subscribe.LastTrades",
    OpenOrders = "Subscribe.OpenOrders",
    OrdersHistory = "Subscribe.OrdersHistory",
    Balances = "Subscribe.Balances",
    Deposits = "Subscribe.Deposits",
    Withdrawals = "Subscribe.Withdrawals",
    Trades = "Subscribe.Trades",
    Candlestick = "Subscribe.Candlestick",
    Connection = "Subscribe.Connection"
}
export interface ISubscribeOrderbook {
    type: SubscribeActionTypes.Orderbook;
    symbol: string;
}
export interface ISubscribeOpenOrders {
    type: SubscribeActionTypes.OpenOrders;
}
export interface ISubscribeOrdersHistory {
    type: SubscribeActionTypes.OrdersHistory;
}
export interface ISubscribeBalances {
    type: SubscribeActionTypes.Balances;
}
export interface ISubscribeLastTrades {
    type: SubscribeActionTypes.LastTrades;
    symbol: string;
}
export interface ISubscribeTickers {
    type: SubscribeActionTypes.Tickers;
}
export interface ISubscribeTrades {
    type: SubscribeActionTypes.Trades;
}
export interface ISubscribeCurrencies {
    type: SubscribeActionTypes.Currencies;
}
export interface ISubscribeDeposits {
    type: SubscribeActionTypes.Deposits;
}
export interface ISubscribeWithdrawals {
    type: SubscribeActionTypes.Withdrawals;
}
export interface ISubscribeCandlestick {
    type: SubscribeActionTypes.Candlestick;
    symbol: string;
}
export interface ISubscribeConnection {
    type: SubscribeActionTypes.Connection;
}
export declare class SubscribeActionCreators {
    static orderbook: (symbol: string) => ISubscribeOrderbook;
    static openOrders: () => ISubscribeOpenOrders;
    static ordersHistory: () => ISubscribeOrdersHistory;
    static balances: () => ISubscribeBalances;
    static lastTrades: (symbol: string) => ISubscribeLastTrades;
    static tickers: () => ISubscribeTickers;
    static trades: () => ISubscribeTrades;
    static currencies: () => ISubscribeCurrencies;
    static deposits: () => ISubscribeDeposits;
    static withdrawals: () => ISubscribeWithdrawals;
    static candlestick: (symbol: string) => ISubscribeCandlestick;
    static connection: () => ISubscribeConnection;
}
export declare type ISubscribeAction = ISubscribeOrderbook | ISubscribeOpenOrders | ISubscribeLastTrades | ISubscribeTickers | ISubscribeOrdersHistory | ISubscribeBalances | ISubscribeDeposits | ISubscribeWithdrawals | ISubscribeCurrencies | ISubscribeTrades | ISubscribeCandlestick | ISubscribeConnection;
//# sourceMappingURL=subscribe.d.ts.map