export declare enum UnsubscribeActionTypes {
    Orderbook = "Unsubscribe.Orderbook",
    Tickers = "Unsubscribe.Tickers",
    Currencies = "Unsubscribe.Currencies",
    LastTrades = "Unsubscribe.LastTrades",
    OpenOrders = "Unsubscribe.OpenOrders",
    OrdersHistory = "Unsubscribe.OrdersHistory",
    Balances = "Unsubscribe.Balances",
    Deposits = "Unsubscribe.Deposits",
    Withdrawals = "Unsubscribe.Withdrawals",
    Trades = "Unsubscribe.Trades",
    Candlestick = "Unsubscribe.Candlestick",
    Connection = "Unsubscribe.Connection"
}
export interface IUnsubscribeOrderbook {
    type: UnsubscribeActionTypes.Orderbook;
    symbol: string;
}
export interface IUnsubscribeOpenOrders {
    type: UnsubscribeActionTypes.OpenOrders;
}
export interface IUnsubscribeOrdersHistory {
    type: UnsubscribeActionTypes.OrdersHistory;
}
export interface IUnsubscribeBalances {
    type: UnsubscribeActionTypes.Balances;
}
export interface IUnsubscribeLastTrades {
    type: UnsubscribeActionTypes.LastTrades;
    symbol: string;
}
export interface IUnsubscribeTickers {
    type: UnsubscribeActionTypes.Tickers;
}
export interface IUnsubscribeTrades {
    type: UnsubscribeActionTypes.Trades;
}
export interface IUnsubscribeCurrencies {
    type: UnsubscribeActionTypes.Currencies;
}
export interface IUnsubscribeDeposits {
    type: UnsubscribeActionTypes.Deposits;
}
export interface IUnsubscribeWithdraws {
    type: UnsubscribeActionTypes.Withdrawals;
}
export interface IUnsubscribeCandlestick {
    type: UnsubscribeActionTypes.Candlestick;
    symbol: string;
}
export interface IUnsubscribeConnection {
    type: UnsubscribeActionTypes.Connection;
}
export declare class UnsubscribeActionCreators {
    static orderbook: (symbol: string) => IUnsubscribeOrderbook;
    static openOrders: () => IUnsubscribeOpenOrders;
    static ordersHistory: () => IUnsubscribeOrdersHistory;
    static balances: () => IUnsubscribeBalances;
    static lastTrades: (symbol: string) => IUnsubscribeLastTrades;
    static tickers: () => IUnsubscribeTickers;
    static trades: () => IUnsubscribeTrades;
    static currencies: () => IUnsubscribeCurrencies;
    static deposits: () => IUnsubscribeDeposits;
    static withdrawals: () => IUnsubscribeWithdraws;
    static candlestick: (symbol: string) => IUnsubscribeCandlestick;
    static connection: () => IUnsubscribeConnection;
}
export declare type IUnsubscribeAction = IUnsubscribeOrderbook | IUnsubscribeOpenOrders | IUnsubscribeOrdersHistory | IUnsubscribeBalances | IUnsubscribeLastTrades | IUnsubscribeTickers | IUnsubscribeDeposits | IUnsubscribeWithdraws | IUnsubscribeCurrencies | IUnsubscribeTrades | IUnsubscribeCandlestick | IUnsubscribeConnection;
//# sourceMappingURL=unsubscribe.d.ts.map