import { ILogin, IRegister, IUser } from '../models';
export declare enum UserActionTypes {
    Login = "User.Login",
    Logout = "User.Logout",
    Register = "User.Register",
    UpdateProfile = "User.UpdateProfile",
    UpdateAuth = "User.UpdateAuth",
    Load = "User.Load",
    Unload = "User.Unload",
    Registered = "User.Registered",
    AuthEnabled = "User.AuthEnabled"
}
export interface IUserLoad {
    type: UserActionTypes.Load;
    user: IUser;
}
export interface IUserUnload {
    type: UserActionTypes.Unload;
}
export interface IUserUpdateAuth {
    type: UserActionTypes.UpdateAuth;
    secret: string;
}
export interface IUserRegistered {
    type: UserActionTypes.Registered;
}
export interface IUserAuthEnabled {
    type: UserActionTypes.AuthEnabled;
    authEnabled: boolean;
}
export interface IUserUpdateProfile {
    type: UserActionTypes.UpdateProfile;
    user: Partial<IUser>;
}
export interface IUserLogin {
    type: UserActionTypes.Login;
    login: ILogin;
}
export interface IUserLogout {
    type: UserActionTypes.Logout;
}
export interface IUserRegister {
    type: UserActionTypes.Register;
    register: IRegister;
}
export declare class UserActionCreators {
    static load: (user: IUser) => IUserLoad;
    static unload: () => IUserUnload;
    static updateAuth: (secret: string) => IUserUpdateAuth;
    static registered: () => IUserRegistered;
    static authEnabled: (authEnabled: boolean) => IUserAuthEnabled;
    static updateProfile: (user: Partial<IUser>) => IUserUpdateProfile;
    static login: (login: ILogin) => IUserLogin;
    static logout: () => IUserLogout;
    static register: (register: IRegister) => IUserRegister;
}
export declare type IUserAction = IUserLogin | IUserLogout | IUserRegister | IUserUpdateProfile | IUserLoad | IUserUnload | IUserUpdateAuth | IUserRegistered | IUserAuthEnabled;
//# sourceMappingURL=user.d.ts.map