import { IWallet, IWallets } from '../models';
export declare enum WalletActionTypes {
    Create = "Wallet.Create",
    Change = "Wallet.Change",
    List = "Wallet.List",
    Update = "Wallet.Update",
    Unload = "Wallet.Unload"
}
export interface IWalletChange {
    type: WalletActionTypes.Change;
    current: string;
}
export interface IWalletList {
    type: WalletActionTypes.List;
    wallets: IWallets;
}
export interface IWalletUpdate {
    type: WalletActionTypes.Update;
    wallet: IWallet;
}
export interface IWalletUnload {
    type: WalletActionTypes.Unload;
}
export interface IWalletCreate {
    type: WalletActionTypes.Create;
    coin: string;
}
export declare class WalletActionCreators {
    static change: (current: string) => IWalletChange;
    static list: (wallets: IWallets) => IWalletList;
    static update: (wallet: IWallet) => IWalletUpdate;
    static unload: () => IWalletUnload;
    static create: (coin: string) => IWalletCreate;
}
export declare type IWalletAction = IWalletCreate | IWalletChange | IWalletList | IWalletUpdate | IWalletUnload;
//# sourceMappingURL=wallet.d.ts.map