import { IWithdraw, IWithdrawals } from '../models';
export declare enum WithdrawActionTypes {
    GetList = "Withdraw.GetList",
    Insert = "Withdraw.Insert",
    Confirm = "Withdraw.Confirm",
    List = "Withdraw.List",
    Add = "Withdraw.Add",
    Update = "Withdraw.Update"
}
export interface IWithdrawList {
    type: WithdrawActionTypes.List;
    withdrawals: IWithdrawals;
}
export interface IWithdrawAdd {
    type: WithdrawActionTypes.Add;
    withdraw: IWithdraw;
}
export interface IWithdrawUpdate {
    type: WithdrawActionTypes.Update;
    withdraw: Partial<IWithdraw>;
}
export interface IWithdrawGetList {
    type: WithdrawActionTypes.GetList;
}
export interface IWithdrawInsert {
    type: WithdrawActionTypes.Insert;
    withdraw: IWithdraw;
}
export interface IWithdrawConfirm {
    type: WithdrawActionTypes.Confirm;
    hash: string;
}
export declare class WithdrawActionCreators {
    static list: (withdrawals: IWithdrawals) => IWithdrawList;
    static add: (withdraw: IWithdraw) => IWithdrawAdd;
    static update: (withdraw: Partial<IWithdraw>) => IWithdrawUpdate;
    static getList: () => IWithdrawGetList;
    static insert: (withdraw: IWithdraw) => IWithdrawInsert;
    static confirm: (hash: string) => IWithdrawConfirm;
}
export declare type IWithdrawAction = IWithdrawGetList | IWithdrawInsert | IWithdrawConfirm | IWithdrawList | IWithdrawAdd | IWithdrawUpdate;
//# sourceMappingURL=withdraw.d.ts.map