export interface ITrade {
    tradeId: number;
    market: string;
    buyerUserId: number;
    sellerUserId: number;
    buyerOrderId: number;
    sellerOrderId: number;
    side: 'buy' | 'sell';
    type: 'market' | 'limit';
    amount: number;
    price: number;
    buyerFee: number;
    sellerFee: number;
    date: Date;
}
export interface ITrades {
    list: {
        [symbol: string]: ITrade[];
    };
}
export declare class Trade implements ITrade {
    tradeId: number;
    market: string;
    buyerUserId: number;
    sellerUserId: number;
    buyerOrderId: number;
    sellerOrderId: number;
    side: 'buy' | 'sell';
    type: 'market' | 'limit';
    amount: number;
    price: number;
    buyerFee: number;
    sellerFee: number;
    date: Date;
    constructor(trade?: Partial<ITrade>);
}
export declare class Trades implements ITrades {
    list: {
        [symbol: string]: ITrade[];
    };
}
//# sourceMappingURL=trade.d.ts.map