"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const exchange_common_1 = require("exchange-common");
const __1 = require("..");
describe('balances', () => {
    const econobit = new __1.Econobit({ testnet: true, debug: false });
    beforeAll(async () => {
        const key = 'VhIq4GuUkSsqnvhLwwULsw';
        const secret = 'p7SdEoOK7N/CgjHwyQrOz2mkSLJwJfqcJChg0KlHeRI';
        await econobit.connect();
        await econobit.login({ key, secret });
    });
    test('subscribe', async () => {
        expect.assertions(2);
        const { list, onUpdate } = await econobit.subscribe.balances();
        expect(list.BTC.coin).toBe('BTC');
        expect(onUpdate).toBeInstanceOf(Function);
    });
    test('unsubscribe', async () => {
        expect(await econobit.unsubscribe.balances()).toHaveProperty('type', exchange_common_1.ActionTypes.Wallet.Unload);
    });
    test('error when try without auth', async () => {
        expect.assertions(2);
        await econobit.logout();
        try {
            await econobit.subscribe.balances();
        }
        catch (err) {
            expect(err.type).toMatch('Message.Errors');
            expect(err.errors).toContain('user_not_logged_in');
        }
    });
});
//# sourceMappingURL=balances.spec.js.map