"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __1 = require("..");
describe('openOrders', () => {
    const econobit = new __1.Econobit({ testnet: true, debug: false });
    beforeAll(async () => {
        const key = 'VhIq4GuUkSsqnvhLwwULsw';
        const secret = 'p7SdEoOK7N/CgjHwyQrOz2mkSLJwJfqcJChg0KlHeRI';
        await econobit.connect();
        await econobit.login({ key, secret });
    });
    test('subscribe', async () => {
        expect.assertions(4);
        const { list, onAdd, onUpdate, onDelete } = await econobit.subscribe.openOrders();
        expect(Array.isArray(list)).toBe(true);
        expect(onAdd).toBeInstanceOf(Function);
        expect(onUpdate).toBeInstanceOf(Function);
        expect(onDelete).toBeInstanceOf(Function);
    });
    test('unsubscribe', async () => {
        expect(econobit.unsubscribe.openOrders()).toBeUndefined();
    });
    test('error when try without auth', async () => {
        expect.assertions(2);
        await econobit.logout();
        try {
            await econobit.subscribe.openOrders();
        }
        catch (err) {
            expect(err.type).toMatch('Message.Errors');
            expect(err.errors).toContain('user_not_logged_in');
        }
    });
});
//# sourceMappingURL=openOrders.spec.js.map